Subject: Re: Fwd: [ofa-general] FW: QLogic vNIC Kernel Submission

From: Patrick McHardy <[email-masked]>
Date: Tue, 17 Jun 2008 21:15:08 +0200

Patrick McHardy wrote:
> Amar Mudrankit wrote:
>> It looks as if my original email was "scrubbed" before it made the
>> mailing list so I am resending it...
>>
>> QLogic has been attempting to submit our virtual NIC (vNIC) driver to
>> the Linux kernel for several months.  We have made changes to the code
>> based on the feedback we have received over four rounds of
>> submissions. Among the feedback we received during this process was a
>> request to alter our code to use a single value per file for
>> configuration of our driver through sysfs interface.  After spending
>> much time and effort to complete this change to our design we
>> re-submitted the driver only to receive a response suggesting that we
>> change once again from this interface to a different API interface
>> called rtnl_link.  Needless to say I am very frustrated with this
>> process. This new API interface would require substantial changes to
>> our code.
> 
> Thats one of the reasons why it should be done before merging it.
> The other one being that an API can't be removed easily once its
> in the kernel.

Besides that, the state machine triggered device registration
and the sysfs based checksumming settings of also need to go (both
should be about 5 minutes of work by the way).